local function AddItemlevelToTooltip( tooltip ) 
	local itemName, itemLink = tooltip:GetItem()
	
	if not itemName then
		return
	end
	
	local itemLevel, _, itemType = select( 4, GetItemInfo( itemLink ) )
	
	if itemLevel == nil then
		return
	end
	
	if not (itemType == "Weapon" or itemType == "Armor") then
		return
	end
	
	tooltip:AppendText( " (" .. itemLevel .. ")" )
end

local function HookTooltips()
	GameTooltip:HookScript("OnTooltipSetItem", AddItemlevelToTooltip )
	ItemRefTooltip:HookScript( "OnTooltipSetItem", AddItemlevelToTooltip )
	ShoppingTooltip1:HookScript( "OnTooltipSetItem", AddItemlevelToTooltip )
	ShoppingTooltip2:HookScript( "OnTooltipSetItem", AddItemlevelToTooltip )
end

HookTooltips()
